/* Safe String Ver 1.0
 * Handling strings/allocated strings saftly
 * Copyright (c) Pu Bo, 2001
 */

#ifndef SAFESTRING_H
#define SAFESTRING_H

#include "MemMgr.h"


typedef struct {
    MemHndl mStrH;
    union {
        MemSize mOffset;
        const char far *mStrP;
    }mStr;
} SafeString;

void InitSafeString(SafeString far *safeStr,const char far *rawStr);
char far *GetRawString(SafeString far *safeStr);
#endif