/* File System Management Interface
 * Copyright 2001 Pu Bo */
#ifndef _FILEMGRIFC_H
#define _FILEMGRIFC_H

#include "FileSysIfc.h"

/* definitions */
#define IID_FILE_MGR LONG_ID('F','M','G','R')
typedef bool (*FileSysMgmtProgressCBFunc)(unsigned long maxVal, unsigned long curVal);

/* interface */
typedef struct {
	void (*FileSysManagement)(FileSysHndl fileSysH);
	void (*TrimFile)(FileHndl fileH);
	FSErr (*RenameFile)(FileSysHndl fileSysH,const char far *orgPath,const char far *destPath);
	unsigned long (*AvailableStorage)(FileSysHndl fileSysH);
	void (*SetMgmtProgressCB)(FileSysHndl fileSysH,FileSysMgmtProgressCBFunc cb);
}FileMgrInterface;

typedef FileMgrInterface far * FileMgrIfcPtr;

#endif